<div class="auth-container">
  <img src="assets/images/logo.svg" alt="Logo" class="auth-logo">
  <form *ngIf="registerForm" [formGroup]="registerForm" class="auth-input-container">
    <mat-grid-list cols="2" rowHeight="4rem" gutterSize="1rem">
      <mat-grid-tile colspan="2">
        <mat-form-field>
          <input matInput placeholder="Name" [formControl]="name">
          <mat-error *ngIf="name.dirty && name.errors?.required">Name is required!</mat-error>
          <mat-error *ngIf="name.dirty && name.errors?.minlength">
            Name must contain at least 3 characters!
          </mat-error>
          <mat-error *ngIf="name.dirty && name.errors?.pattern">Name must start with capital letter and contain only
            letters!
          </mat-error>
        </mat-form-field>
      </mat-grid-tile>
      <mat-grid-tile colspan="2">
        <mat-form-field>
          <input matInput placeholder="Last Name" [formControl]="lastName">
          <mat-error *ngIf="lastName.dirty && lastName.errors?.required">Last Name is required!</mat-error>
          <mat-error *ngIf="lastName.dirty && lastName.errors?.minlength">
            Last Name must contain at least 3 characters!
          </mat-error>
          <mat-error *ngIf="lastName.dirty && lastName.errors?.pattern">Last Name must start with capital letter and contain only
            letters!
          </mat-error>
        </mat-form-field>
      </mat-grid-tile>
      <mat-grid-tile colspan="2">
        <mat-form-field>
          <input matInput placeholder="Username" [formControl]="username">
          <mat-error *ngIf="username.dirty && username.errors?.required">
            Username is required!
          </mat-error>
          <mat-error *ngIf="username.dirty && username.errors?.minlength">
            Username must contain at least 3 characters!
          </mat-error>
        </mat-form-field>
      </mat-grid-tile>
      <mat-grid-tile colspan="2">
        <mat-form-field>
          <input matInput placeholder="Password" [type]="hide ? 'password' : 'text'"
                 [formControl]="password">
          <mat-icon class="pointer" matSuffix (click)="hide = !hide"
                    color="primary">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
          <mat-error *ngIf="password.dirty && password.errors?.required">
            Password is required!
          </mat-error>
          <mat-error *ngIf="password.dirty && password.errors?.minlength">
            Password must contain at least 6 characters!
          </mat-error>
        </mat-form-field>
      </mat-grid-tile>
    </mat-grid-list>

    <button type="submit" mat-raised-button color="primary" class="uppercase" (click)="submit()">Registracija</button>
    <mat-error id="errors" *ngIf="error">
      {{error}}
    </mat-error>
    <div>
    </div>
    <button mat-stroked-button>
      <a class="router-link go-to-login" routerLink="../login" routerLinkActive="active">Already registered? Click here</a>
    </button>
  </form>
</div>
